/* ==========================================================
   RESPONSIVIDADE GLOBAL
========================================================== */

@media (min-width: 120rem) {
    :root {
        --container: 82rem;
    }
}

@media (max-width: 85.375rem) {
    :root {
        --container: 72rem;
    }
}

@media (max-width: 63.9375rem) {
    :root {
        --container-padding: 1.5rem;
    }
}

@media (max-width: 47.9375rem) {
    :root {
        --container-padding: 1.25rem;
    }

    h1 {
        line-height: 1;
    }

    h2 {
        line-height: 1.08;
    }
}

@media (max-width: 26.5625rem) {
    :root {
        --container-padding: 1rem;
    }

    body {
        line-height: 1.7;
    }
}

@media (max-width: 20rem) {
    :root {
        --container-padding: 0.875rem;
    }
}